<div class="card main-card mb-3">
  <div class="card-header-tab card-header">
    <div class="card-header-title font-size-lg text-capitalize font-weight-normal">
      <i class="header-icon lnr-laptop-phone mr-3 text-muted opacity-6"> </i>
      Equipment List
    </div>
    <div class="btn-actions-pane-right">
      <div role="group" class="btn-group-sm btn-group">
        <button class="btn-shadow btn btn-dark" (click)="refresh()">Refresh</button> 
        <button type="button" class="btn-shadow btn btn-dark" (click)="openLg(content)">Add</button>
      </div>
    </div>
  </div>
    <table class="table table-striped">
      <thead>
      <tr>
        <th scope="col">Equipment Name</th>
        <th scope="col">Parent Name</th>
        <th scope="col">Create Date</th>
        <th scope="col">Update Date</th>
        <th scope="col">Status</th>
        <th scope="col">Actions</th>
      </tr>
      </thead>
      <tbody *ngIf="tabList.length">
        <tr *ngFor="let tab of tabList">
          <td scope="col">{{tab.name}}</td>
          <td scope="col" ><span *ngIf="tab.parent">{{tab.parent.name}}</span></td>
          <td scope="col">{{tab.created_at}}</td>
          <td scope="col">{{tab.updated_at}}</td>
          <td scope="col">{{tab.is_active}}</td>
          <td scope="col"> 
            <button (click)="editStaff(tab, content)" class="btn-hover-shine btn-square btn btn-info">Edit</button> 

            <ng-container
            *ngIf="tab.is_active == 1; then active; else inactive">
          </ng-container>
          
          <ng-template #active>
            <button class="btn-hover-shine btn-square btn btn-dark"(click)="deactivate(tab.id)">Deactivate</button>
          </ng-template>
          <ng-template #inactive>
            <button class="btn-hover-shine btn-square btn btn-light"(click)="activate(tab.id)">Activate</button>
          </ng-template>

             
            <button class="btn-hover-shine btn-square btn btn-danger" (click)="del(tab.id)">Delete</button>
          </td>
        </tr>
      </tbody>
      <tbody>
        <tr *ngIf="!tabList.length">
          <td scope="col" colspan="9">No Equipments</td>
        </tr>
      </tbody>
    </table>
  </div>  

  <ng-template #content let-modal>
    <div class="modal-header">
      <h4 class="modal-title">{{header}}</h4>
      <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <form [formGroup]="staffForm" (ngSubmit)="onSubmit()" #form="ngForm">

      <div class="modal-body">
        <input type="hidden" formControlName="is_active" value="1" >
        <mat-form-field class="example-full-width">

            <select matNativeControl formControlName="parent_id">

            <option value="">Select</option>
            <option value="29">AFTC</option>
            <option value="28">DC Track Circuit</option>
            <option value="30">MACLS</option>
            <option value="27">Point Machine</option>
          </select>
        </mat-form-field>

        <mat-form-field class="example-full-width">
          <input matInput placeholder="Name" required formControlName="name"/>
        </mat-form-field>

        <!-- <mat-form-field class="example-full-width">
          <textarea matInput formControlName="iframe" placeholder="Iframe Link For Chart"></textarea>
        </mat-form-field>  -->    
      
    </div>
    <div class="modal-footer">
      <button type="submit" class="btn btn-primary" >Save</button>
    </div>
  </form>
  </ng-template>


  